using System;
using System.Collections.Generic;
using System.Text;
using XYY.Core.Standard.Data.Infrastructure;
using XYY.Model.Standard.OrderAddressCheck;
using Dapper;
using System.Threading.Tasks;

namespace XYY.Data.Standard.OrderAddressCheck
{
    public interface IFRSLAreasRepository : IBaseRepository<FRSLAreas>
    {
        Task<IEnumerable<FRSLAreas>> GetAll();
    }

    public class FRSLAreasRepository : BaseRepository<FRSLAreas>, IFRSLAreasRepository
    {
        public FRSLAreasRepository(IUnitOfWork unitOfWork)
            : base(unitOfWork)
        { }

        public async Task<IEnumerable<FRSLAreas>> GetAll()
        {
            return await _unitOfWork.QueryAsync<FRSLAreas>();
        }
    }
}
